KFileMetaInfoWidget Class Reference

`#include <kfilemetainfowidget.h>`

Inherits QWidget.

## Public Types

enum | Mode { ReadOnly = 1, ReadWrite = 0, Reserve = 0xff }

## Signals

void | valueChanged (const QVariant &value)

## Public Member Functions

| KFileMetaInfoWidget (KFileMetaInfoItem item, QValidator *val=0, QWidget *parent=0, const char *name=0)
| KFileMetaInfoWidget (KFileMetaInfoItem item, Mode mode, QValidator *val=0, QWidget *parent=0, const char *name=0)
bool | apply ()
void | setValue (const QVariant &value)
QVariant | value () const
QValidator * | validator () const
KFileMetaInfoItem | item () const

## Protected Member Functions

void | reparentValidator (QWidget *widget, QValidator *validator)
virtual QWidget * | makeWidget ()
QWidget * | makeBoolWidget ()
QWidget * | makeIntWidget ()
QWidget * | makeDoubleWidget ()
QWidget * | makeStringWidget ()
QWidget * | makeDateWidget ()
QWidget * | makeTimeWidget ()
QWidget * | makeDateTimeWidget ()

## Detailed Description

A widget to display file meta infos (like id3 for mp3)

Definition at line 30 of file kfilemetainfowidget.h.

## Member Enumeration Documentation

enum KFileMetaInfoWidget::Mode

Enumerator
ReadWrite | Only display the meta infos, and do not permit the user to edit them.
Reserve | Permits user to edit the displayed meta-info.

Definition at line 34 of file kfilemetainfowidget.h.

The documentation for this class was generated from the following files:

- kfilemetainfowidget.h
- kfilemetainfowidget.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys